= Highlight CHANGELOG
:reproducible:
:sectanchors:
:sectnums!:
:toc-title: Contents
:toc: left
:toclevels: 1


== highlight 4.21

09.08.2026

 - updated astyle lib to version 3.6.18
 - added Svelte language definition (https://gitlab.com/saalen/highlight/-/work_items/189)
 - added KDL language definition (https://gitlab.com/saalen/highlight/-/work_items/262)
 - added AnsiIndex theme attribute (https://gitlab.com/saalen/highlight/-/work_items/224)
 - added terminal output sanitation of user input
 - CLI: added `--indent-guides` option (https://gitlab.com/saalen/highlight/-/work_items/240)
 - CLI: added `--skip-leading-cols` option (https://gitlab.com/saalen/highlight/-/work_items/184)
 - fixed vue.js nested section highlighting
 - fixed NXC nested section highlighting
 - fixed RTF header and footer generation to allow plugin insertions (https://gitlab.com/saalen/highlight/-/work_items/264)
 - fixed string highlighting of nested command substitutions in shellscript definition (https://gitlab.com/saalen/highlight/-/work_items/209)
 - fixed regular expressions in CMake and PHP definitions
 - fixed out_of_range crash in nested syntax definitions (https://gitlab.com/saalen/highlight/-/work_items/265)
 - fixed minor performance issues
 - updated chinese GUI translation


== highlight 4.20

19.05.2026

 - updated astyle lib to version 3.6.16
 - fixed undefined lua upvalue in shellscript language definition
 - added C# Unity language definition
 - updated RPM Language definition
 - refactored cmake build script
 - refactored code to make use of C++17 features


== highlight 4.19

18.02.2026

 - updated astyle lib to version 3.6.14
 - fixed warn_unused_result warnings on pipe() call
 - added MiniScript language definition


== highlight 4.18

09.11.2025

 - updated astyle lib to version 3.6.13
 - fixed undefined variable in shellscript definition


== highlight 4.17

23.09.2025

 - updated astyle lib to version 3.6.12
 - updated some language definitions
 - added fea.lang (https://gitlab.com/saalen/highlight/-/issues/258)
 - fixed creation of unique output filenames in batch mode
 - improved LSP compatibility
 - CLI: improved string length validation in service mode
 - GUI: fixed file resource handling


== highlight 4.16

08.05.2025

 - updated astyle lib to version 3.6.9
 - fix shell script parenthesis recognition (https://gitlab.com/saalen/highlight/-/issues/254)
 - updated AWK, C, Go and Python language definitions
 - added README_FR.adoc
 - added shell script and git config file extensions
 - GUI: adjusted cmake build script to improve Qt build target handling
 - GUI: updated Qt UI translations


== highlight 4.15

23.12.2024

 - updated astyle lib to version 3.6.6
 - fixed C++ raw string recognition (https://gitlab.com/saalen/highlight/-/issues/252)


== highlight 4.14

19.08.2024

 - updated astyle lib to version 3.6.2
 - fixed SWIG lib compilation (https://gitlab.com/saalen/highlight/-/issues/247)
 - updated Terraform file suffix list (https://gitlab.com/saalen/highlight/-/issues/250)


== highlight 4.13

11.08.2024

 - updated astyle lib to version 3.6
 - added Gleam and V definitions
 - added Meson and CMake build files (https://gitlab.com/saalen/highlight/-/issues/232)
 - improved LSP compatibility with bash-language-server and haskell-language-server
 - applied several clang-tidy modernize fixes
 - GUI: refactored settings restore code


== highlight 4.12

22.05.2024

 - updated astyle lib to version 3.4.16
 - removed `using namespace std;` in header files (merge request saalen/highlight!147)
 - added `-webkit-user-select` to HTML line number style (https://gitlab.com/saalen/highlight/-/issues/214)
 - added plug-in outhtml-focus.lua
 - updated lsp.conf to include metals and clojure-lsp configurations
 - fixed Yaml URL recognition
 - fixed Rust raw literal recognition (https://gitlab.com/saalen/highlight/-/issues/187)
 - fixed Factor comment recognition (https://gitlab.com/saalen/highlight/-/issues/239)


== highlight 4.11

14.03.2024

 - updated astyle lib to version 3.4.13
 - updated java definition (https://gitlab.com/saalen/highlight/-/issues/244)
 - updated solidity definition (https://gitlab.com/saalen/highlight/-/issues/217)
 - fix backslash symbol in man page
 - src/makefile: added `-std=c++17` to enable modern C++ features


== highlight 4.10

20.10.2023

 - updated astyle lib to version 3.4.10


== highlight 4.9

16.10.2023

 - updated astyle lib to version 3.4.9
 - added support for Elm (https://gitlab.com/saalen/highlight/-/issues/237)
 - added support for Factor (https://gitlab.com/saalen/highlight/-/issues/239)
 - added support for Cpp2
 - updated c.lang to include module keywords
 - fixed Lua nested string deprecation error (https://gitlab.com/saalen/highlight/-/issues/238)


== highlight 4.8

28.08.2023

 - updated astyle lib to version 3.4.6
 - moved old yaml.lang to yaml-ansible.lang and added a new yaml definition (https://gitlab.com/saalen/highlight/-/issues/235)
 - omit size property in BBCode output if `--fragment` is set (https://gitlab.com/saalen/highlight/-/issues/234)
 - allowed font size unit with `--font-size` for HTML and ODT output (https://gitlab.com/saalen/highlight/-/merge_requests/145/)
 - GUI: updated JP translation (https://gitlab.com/saalen/highlight/-/merge_requests/144)


== highlight 4.7

17.07.2023

  - updated astyle lib to version 3.4.1
  - CLI: fixed member variable initialization (https://gitlab.com/saalen/highlight/-/merge_requests/143)


== highlight 4.6

11.05.2023

  - added  `--service-mode` option to run highlight as long running process (https://gitlab.com/saalen/highlight/-/merge_requests/140)
  - added extras/highlight-service.py as an example for the service mode
  - updated astyle lib to version 3.3
  - W32: added  `--disable-echo` option (https://gitlab.com/saalen/highlight/-/merge_requests/140)
  - W32: fixed output of ANSI sequences (https://gitlab.com/saalen/highlight/-/issues/194)


== highlight 4.5

14.03.2023

  - added support for Hare
  - fixed `--no-trailing-nl` option for LaTeX output (https://gitlab.com/saalen/highlight/-/issues/216)
  - fixed typos in rnc.lang, spn.lang and znn.lang (https://gitlab.com/saalen/highlight/-/merge_requests/139)
  - fixed missing ngerman package for `--replace-quotes` option (https://gitlab.com/saalen/highlight/-/issues/222)
  - fixed quotes highlighting in XML (https://gitlab.com/saalen/highlight/-/issues/226)
  - updated file extension lists (https://gitlab.com/saalen/highlight/-/issues/227)
  - updated astyle lib to version 3.2


== highlight 4.4

30.10.2022

  - added support for Zig
  - added `Legacy` option in lsp.conf to add support for LSP servers without capabilities report
  - removed apidocs target in makefile (https://gitlab.com/saalen/highlight/-/issues/213)
  - CLI: added `--ls-legacy` option
  - GUI: added legacy checkbox in the LSP section
  - GUI W32: fixed issue with non standard filename encodings (https://gitlab.com/saalen/highlight/-/issues/215)


== highlight 4.3

24.09.2022

  - added support for Carbon
  - added support for Fortran77 star comments (https://gitlab.com/saalen/highlight/-/issues/208)
  - added support for PowerShell block comments (https://gitlab.com/saalen/highlight/-/issues/210)
  - fixed Python formatted string pattern (https://gitlab.com/saalen/highlight/-/issues/212)
  - added new shell completion generation script (https://gitlab.com/saalen/highlight/-/merge_requests/137/)
  - W32: fixed Windows compilation headers (https://gitlab.com/saalen/highlight/-/merge_requests/138)


== highlight 4.2

22.03.2022

  - added support for Critic markup (https://gitlab.com/saalen/highlight/-/issues/197)
  - added support for jam/ham (https://gitlab.com/saalen/highlight/-/issues/196)
  - added support for PureScript (https://gitlab.com/saalen/highlight/-/merge_requests/132/)
  - added support for Nix (https://gitlab.com/saalen/highlight/-/issues/200)
  - added ino file mapping / Arduino C (https://gitlab.com/saalen/highlight/-/issues/201)
  - fixed RTF page color attributes (https://gitlab.com/saalen/highlight/-/issues/195)
  - fixed identifier parsing in yaml.lang (https://gitlab.com/saalen/highlight/-/issues/190)
  - fixed symbol parsing in lisp.lang (https://gitlab.com/saalen/highlight/-/issues/198)
  - fixed string parsing in csharp.lang (https://gitlab.com/saalen/highlight/-/issues/199)
  - fixed string parsing in conf.lang (https://gitlab.com/saalen/highlight/-/issues/203)
  - added make target `install-lib-shared` to install shared lib (https://gitlab.com/saalen/highlight/-/issues/202)
  - CLI W32: prevented automatic file pattern expansion (https://gitlab.com/saalen/highlight/-/issues/186)
  - GUI: added Japanese translation (thanks to FunFun)
  - GUI: disabled floating panel (state restore fails)


== highlight 4.1

10.05.2021

  - improved handling of Custom theme attributes (https://gitlab.com/saalen/highlight/-/issues/182)
  - fixed wrong color code in edit-kwrite.theme
  - added rng file mapping (https://gitlab.com/saalen/highlight/-/merge_requests/129)
  - improved Lisp highlighting
  - GUI: fixed highlighting options tab title (thanks to Craig)


== highlight 4.0

23.03.2021

  - renamed `std` style name to `def`
  - version and README updates


== highlight 4.0 beta 7

15.03.2021

  - removed `extras/web_plugins`


== highlight 4.0 beta 6

20.02.2021

  - added user-select default property to HTML line number style


== highlight 4.0 beta 5

20.02.2021

  - revised color themes


== highlight 4.0 beta 4

16.02.2021

  - added two more keyword styles for default themes
  - added Custom theme attributes for Plain TeX, LaTeX, SVG and Pango
  - enabled syntax message output with `--ls-syntax-error`
  - GUI: enabled syntax error checkbox


== highlight 4.0 beta 3

11.02.2021

  - added Custom theme attribute
  - enabled inline stylesheets with `--ls-hover`
  - added Error and Hover theme properties
  - enabled syntax error highlighting with `ls-semantic`


== highlight 4.0 beta 2

09.02.2021

  - improved LSP message handling
  - added delay LSP parameter
  - added LSP semantic token styles to base16 themes
  - renamed `str` style name to `sng`
  - CLI: enabled `--ls-semantic` option
  - GUI: enabled semantic checkbox and a server capability test


== highlight 4.0 beta 1

30.01.2021

  - added support for the language server protocol
  - added new configuration file lsp.conf
  - CLI: added `ls-profile`, `--ls-workspace`,`--ls-hover`
  - CLI: deprecated `--start-nested`, `--reformat=user`, `--reformat-option`, `--base16`, `--delim-cr`, `--plug-in-read`
  - GUI: added LSP configuration tab


== highlight 3.61

09.01.2021

  - added `--syntax-supported` option


== highlight 3.60

21.12.2020

  - improved PHP 8 syntax support
  - added Emacs Org-Mode support (https://gitlab.com/saalen/highlight/-/issues/174)
  - fixed single argument and truecolor output of mark_lines.lua plug-in (https://gitlab.com/saalen/highlight/-/issues/164)
  - added lineno and column parameters to Decorate hook
  - LIB: moved CodeGenerator::readUserStyleDef and getStyleDefinition to public (https://gitlab.com/saalen/highlight/-/issues/173)


== highlight 3.59

13.11.2020

  - HTML output: added `white-space: pre-wrap` to pre tag CSS
  - updated mark_lines.lua plug-in accept a line range as input parameter and output xterm256 terminal sequences
  - improved Ruby code folding of the outhtml_codefold plug-in
  - updated astyle lib to rev 672
  - added support for reStructured Text (https://gitlab.com/saalen/highlight/-/issues/170)
  - added support for Rego (openpolicyagent.org)
  - added `outhtml_copy_clipboard.lua` plugin
  - CLI: adapted default xterm256/truecolor theme to terminal background colour
  - CLI: adapted ANSI line numbers to terminal background colour (https://gitlab.com/saalen/highlight/-/issues/172)
  - CLI: fixed segfault if the user home directory cannot be determined (https://gitlab.com/saalen/highlight/-/issues/171)
  - GUI: initial font set to Monospace
  - GUI: replaced highlight.xpm by highlight.png icon


== highlight 3.58

07.09.2020

  - improved `--force` fallback argument handling (https://gitlab.com/saalen/highlight/-/issues/163)
  - added C++ attribute syntax support
  - added Lua function `StoreValue` to set and retrieve information across Lua states
  - added `extras/eclipse-themes/eclipse_color_themes.py` script to retrieve themes from eclipsecolorthemes.org
  - added support for Web Assembly Text
  - updated mark_lines.lua to output 16m terminal sequences (https://gitlab.com/saalen/highlight/-/issues/164)
  - fixed issues in bash.lang (https://gitlab.com/saalen/highlight/-/issues/161)
  - fixed Bash heredoc highlighting in bash_functions.lua (https://gitlab.com/saalen/highlight/-/issues/156)
  - CLI: `highlight --version -q` only prints the version number
  - GUI: added theme contrast indicator


== highlight 3.57

12.05.2020

  - added support for Haml (https://gitlab.com/saalen/highlight/-/issues/140)
  - added support for Wren
  - added Lua function `OverrideParam`
  - fixed regression in xterm256 or truecolor output (https://gitlab.com/saalen/highlight/-/issues/152)
  - fixed `--list-scripts` with read-only language definitions (https://gitlab.com/saalen/highlight/-/issues/154)
  - improved several language definitions
  - Windows GUI: added dark mode


== highlight 3.56

06.04.2020

  - added support for Sequence Alignment Maps (SAM files)
  - added empty-file mode to `--no-trailing-nl` (https://gitlab.com/saalen/highlight/issues/147)
  - fixed issue with `--syntax-by-name` waiting for stdin (https://gitlab.com/saalen/highlight/-/issues/151)
  - fixed issue with `--syntax` reading matching files in the current working directory (https://gitlab.com/saalen/highlight/-/issues/151)
  - fixed string parsing in lisp.lang (https://gitlab.com/saalen/highlight/-/issues/150)
  - fixed output of UTF-8 text in xterm256 or truecolor output (https://gitlab.com/saalen/highlight/-/issues/152)
  - fixed regex in js.lang (thanks to Jens Schleusener)
  - fixed calculation of testcase markers with UTF-8 input
  - allowed number literals with underscores in Java, Scala, D, Julia, C#, Perl and Ada definitions
  - added Nord theme (https://gitlab.com/saalen/highlight/-/merge_requests/125)


== highlight 3.55

29.01.2020

  - improved handling of empty files in xterm256 and truecolor output (https://gitlab.com/saalen/highlight/issues/147)
  - added EncodingHint attributes to filetypes.conf and language definitions (https://gitlab.com/saalen/highlight/issues/141)
  - CLI: allowed file paths as --theme and --syntax argument (https://gitlab.com/saalen/highlight/issues/145)
  - GUI: removed deprecated QTime API call


== highlight 3.54.1

21.11.2019

  - W32 CLI: fixed two pass mode if executed in Mingw shell


== highlight 3.54

11.11.2019

  - fixed default colour output in BBCode (https://gitlab.com/saalen/highlight/issues/134)
  - fixed corner case in sh.lang
  - fixed syntax tests with UTF-8 input (https://gitlab.com/saalen/highlight/issues/123)
  - added support for Bash in outhtml_codefold.lua plug-in
  - added ballerina.lang
  - added block strings to java.lang
  - added author hints in themes and language definitions
  - added C++20 reserved words in c.lang
  - added editorconfig file and validated all files accordingly (thanks to Tristano Ajmone)
  - CLI: fixed `--list-scripts` with `-d` or HIGHLIGHT_DATADIR env variable (https://gitlab.com/saalen/highlight/issues/139)
  - GUI W32: replaced multibyte path trace window by startup hint if NtfsDisable8dot3NameCreation is set
  - GUI: removed AsciiDoc instruction lines from the README popup window


== highlight 3.53

31.07.2019

  - fixed out-of-range exception with repeated `AddKeyword` calls
  - added `KeywordFormatHints`, `Priority` and `Constraints` elements to syntax definitions
  - added Lua function `AddPersistentState` (https://gitlab.com/saalen/highlight/issues/112)
  - renamed md.lang to markdown.lang
  - added Fish syntax definition (thanks to James Lee)
  - makefile: added _FILE_OFFSET_BITS=64 flag
  - CLI: added optional fallback syntax to `--force` (https://gitlab.com/saalen/highlight/issues/126)
  - CLI: added option `--max-size` (https://gitlab.com/saalen/highlight/issues/127)
  - GUI: added multibyte path trace window
  - GUI: fixed superfluous creation of the same stylesheet file


== highlight 3.52

28.05.2019

  - added negation `~` to test state indicators (https://gitlab.com/saalen/highlight/issues/122)
  - added support for Hugo (https://gitlab.com/saalen/highlight/merge_requests/113)
  - added 5 duotone themes (https://gitlab.com/saalen/highlight/merge_requests/115)
  - CLI: fixed segfault with `--force` (https://gitlab.com/saalen/highlight/issues/125)
  - GUI: limited font selection to monospace fonts (https://gitlab.com/saalen/highlight/issues/124)


== highlight 3.51

16.05.2019

  - SVG output: added `white-space: pre` in styles
  - HTML output: replaced &apos; by &#39; (https://bugs.debian.org/927410)
  - HTML output: fixed index file format (missing close tags)
  - CLI: moved syntax recognition functions to DataDir class
  - CLI: added regular expressions and default false values to `--verbose` output
  - CLI: fixed `--list-cat` without `--list-scripts` (https://gitlab.com/saalen/highlight/issues/107)
  - CLI: added optional argument to `--base16` (https://gitlab.com/saalen/highlight/issues/113)
  - CLI: added default base16 themes (https://gitlab.com/saalen/highlight/issues/113)
  - CLI: added `--isolate` option (https://gitlab.com/saalen/highlight/issues/118)
  - GUI: improved UTF16 input path handling on Windows


== highlight 3.50

22.03.2019

  - added lineno, column parameters to OnStateChange hook
  - added support for Crystal (thanks to C R Jaensch)
  - added support for Slim (https://gitlab.com/saalen/highlight/merge_requests/85)
  - compress man docs during installation (thanks to Chris Mayo)
  - fixed several typos in documentation and manpages
  - CLI: added `--syntax-by-name` option (suggested by Chris Mayo)
  - CLI: removed deprecated `--list-langs` and `--list-themes` options
  - GUI: added terminal sequence output options (https://gitlab.com/saalen/highlight/issues/110)


== highlight 3.49

06.02.2019

 - fixed more problems with syntax test indicators reporting wrong states (https://gitlab.com/saalen/highlight/issues/102)
 - added support for Meson, Solidity, TOML and Terraform
 - improved Perl and Yaml highlighting
 - added Categories field to all config files
 - CLI: added category info in `--list-scripts` output
 - CLI: added `--list-cat` option (https://gitlab.com/saalen/highlight/issues/99)
 - CLI: added optional topic parameter to `--help`
 - GUI: added theme category selection
 - GUI: display categories of selected syntax or theme


== highlight 3.48

14.12.2018

 - fixed `--list-scripts` abortion with Fedora default compilation options (https://gitlab.com/saalen/highlight/issues/84)
 - fixed a problem with syntax test indicators reporting wrong states after comments
 - improved Verilog syntax
 - improved quoted string highlighting for Perl and Ruby
 - detection of pkg-config's Lua version in src/makefile


== highlight 3.47

13.10.2018

 - fixed xterm256 and truecolor whitespace output #2 (https://gitlab.com/saalen/highlight/issues/90)
 - fixed LaTeX, TeX, SVG and ODT whitespace output (regression of 3.45)
 - added darkplus theme (https://gitlab.com/saalen/highlight/merge_requests/84)
 - converted ChangeLog to AsciiDoc
 - allowed state test indicators to match both whitespace (ws) and the enclosing state (others)
 - CLI: default output changed to xterm256 or truecolor if run in a terminal
        with color support and only a single file is outputted
 - GUI: added checkbox in the clipboard tab to output selected lines only


== highlight 3.46

07.10.2018

 - fixed xterm256 and truecolor whitespace output (https://gitlab.com/saalen/highlight/issues/90)
 - converted manuals to AsciiDoc (thanks to Tristano Ajmone)


== highlight 3.45

02.10.2018

 - added `DocumentHeader` and `DocumentFooter` plug-in hooks
 - added `RemoveKeyword` Lua function for syntax definitions
 - added syntax test indicators (see README_TESTCASES)
 - added support for ISO and R10 variants of Modula2 (thanks to Benjamin Kowarsch)
 - fixed R identifiers (https://gitlab.com/saalen/highlight/merge_requests/77)
 - fixed ALAN IF identifiers (see https://gitlab.com/saalen/highlight/merge_requests/79)
 - fixed issue with Bash string interpolation
 - fixed some bugs found by coverity tool (https://gitlab.com/saalen/highlight/issues/82)
 - added Swift keywords and types
 - added filetypes.conf.5 man page (https://gitlab.com/saalen/highlight/issues/83)
 - added Gradle extension mapping (https://gitlab.com/saalen/highlight/merge_requests/80)


== highlight 3.44

17.07.2018

 - fixed gcc 8 compilation warnings
 - fixed Ruby string interpolation
   (https://github.com/andre-simon/highlight/issues/70)
 - added support for ALAN IF (thanks to Tristano Ajmone)
 - added 107 Base16 themes (thanks to Tristano Ajmone)
   (https://github.com/chriskempson/base16)
 - updated Rust and Java reserved words lists
 - revised documentation
 - moved extras/css-themes into extras/themes-resources
 - added extras/themes-resources/base16 (thanks to Tristano Ajmone)
 - GUI: added Base16 theme selection checkbox
 - CLI: added `--base16` option to enable the new themes
 - CLI: accept - as argument to read from stdin
   (https://github.com/andre-simon/highlight/issues/73)


== highlight 3.43

30.04.2018

 - updated astyle code to release 3.1 (Rev. 655)
 - added webkit reformatting style
 - improved several language definitions
 - fixed Matlab string recognition
   (https://github.com/andre-simon/highlight/issues/61)
 - fixed Autohotkey escape sequence recognition (thanks to Klaus Daube)
 - added excel.lang (https://github.com/andre-simon/highlight/pull/60)
 - improved Qt pro file (https://github.com/andre-simon/highlight/pull/59)
 - CLI: added `--reformat-option`
   (https://github.com/andre-simon/highlight/issues/62)
 - CLI: added `--line-range` (https://github.com/andre-simon/highlight/issues/64)
 - GUI: added Bulgarian translation  (thanks to Georgi Sotirov)


== highlight 3.42

20.01.2018

 - fixed `HL_OUTPUT` in Lua state for `HL_FORMAT_XHTML` and `HL_FORMAT_TRUECOLOR` values
 - fixed lib-shared make target
 - updated astyle code to release 3.1.0 beta
 - added Polygen and EBNF2 syntax definitions (thanks to Tristano Ajmone)
 - added pywal terminal colouring template in extras/pywal
 - added reformatting style ratliff (replaces banner)
 - added extras/langDefs-resources/cleanslate.lang (thanks to Tristano Ajmone)
 - improved Perl6 compatibility
 - improved PHP string interpolation
 - improved Haskell definition (https://github.com/andre-simon/highlight/pull/52)
 - CLI: added `--canvas` option to define background color padding in ANSI output
   (https://github.com/andre-simon/highlight/issues/40)
 - GUI: added French translation (thanks to Antoine Belvire)
 - GUI: added Scripts tab (suggested by Tristano Ajmone)
 - GUI: minor bugfixes


== highlight 3.41

27.11.2017

 - renamed examples directory to extras
 - line anchors (`-a`) are attached as id attribute to the first span or li tag in
   HTML output (https://github.com/andre-simon/highlight/issues/36)
 - renamed ID prefix in outhtml_codefold plug-in to be compatible with `-a` IDs
 - added fstab.lang and added anacrontab in filetypes.conf
 - removed references to OutputType::HTML32
 - added extras/css-themes and extras/langDefs-resources
   (thanks to Tristano Ajmone)
 - CLI: removed deprecated indicator of `--data-dir` option
 - CLI: added `--no-version-info` option
 - GUI: fixed initial theme selection
 - GUI: added "Omit version info comment" option
 - GUI: added "Copy with MIME type" option for HTML output
   (https://github.com/andre-simon/highlight/issues/32)


== highlight 3.40

20.10.2017

 - fixed Ruby string parsing (thanks to Jens Schleusener)
 - fixed segfault on sparc64 (patch by James Clarke)
 - fixed PureBasic definition (https://github.com/andre-simon/highlight/issues/25)
 - added CMake definition (https://github.com/andre-simon/highlight/issues/20)
 - added email definition (https://github.com/andre-simon/highlight/issues/21)
 - linked scm suffix to lisp definition
   (https://github.com/andre-simon/highlight/issues/22)
 - W32 CLI: support HIGHLIGHT_DATADIR and `--data-dir` options
   (https://github.com/andre-simon/highlight/issues/24)
 - revised documentation


== highlight 3.39

25.07.2017

 - added syntax for Docker and Elixir
 - improved HTML, Julia, Kotlin and Smalltalk syntax definitions
 - GUI: added "Paste, Convert and Copy" button
   (https://sourceforge.net/p/syntaxhighlight/support-requests/4/)


== highlight 3.38

20.06.2017

 - fixed Bash variable highlighting issue
 - updated astyle code to release 3.0.1 (https://sourceforge.net/p/astyle/bugs/438)
 - added bash_ref_man7_org.lua plugin


== highlight 3.37

30.05.2017

 - fixed Perl string highlighting issue
 - fixed highlighting if a line continues after the nested code delimiter
 - updated astyle code to release 3.0
 - added examples/pandoc (thanks to Tristano Ajmone)
 - added syntax mapping for markdown
   (https://github.com/andre-simon/highlight/issues/11)
 - added syntax mapping for clj
   (https://github.com/andre-simon/highlight/issues/15)
 - improved Java definition (https://github.com/andre-simon/highlight/issues/13)
 - added theme to JSON converter in  examples/json
   (https://github.com/andre-simon/highlight/issues/8)
 - CLI: added support for environment variable HIGHLIGHT_OPTIONS
   (https://github.com/andre-simon/highlight/issues/17)


== highlight 3.36

30.03.2017

 - fixed code folding plugin to support more Ruby conditional modifiers
   (thanks to Jens Schleusener)
 - fixed Perl quoted string highlighting (thanks to Jens Schleusener)
 - added new GeneratorOverride syntax definition parameter
 - added Filenames parameter in filetypes.conf to assign input filenames
   to syntax types (suggested by Andy)
 - added FASM definition and edit-fasm theme (thanks to Tristano Ajmone)
 - added outhtml_ie7_webctrl plug-in (suggested by Tristano Ajmone)
 - GUI: file extensions can be configured for multiple languages,
   triggers syntax selection prompt
 - GUI: added Italian translation (thanks to Tristano Ajmone)


== highlight 3.35

28.02.2017

 - fixed code folding plugin to support Ruby conditional modifiers
 - fixed JSON definition (thanks to Timothee Cour)
 - fixed output of unknown syntax warning with applied force switch
   (thanks to Andy)
 - added state trace parameter to `Decorate` plug-in function
 - added GDScript definition and edit-godot theme (thanks to Tristano Ajmone)
 - updated SWIG code samples
 - updated Artistic Style lib (SVN Rev. 553)
 - revised docs
 - CLI: fixed creation of hidden files if output filename is prepended by its
   input path
 - CLI: added switch `--stdout` (https://sourceforge.net/p/syntaxhighlight/bugs/14)


== highlight 3.34

27.12.2016

 - fixed segfault with `--skip` applied on a single file input list
   (thanks to Jens Schleusener)
 - added support for Python 3.6 syntax
 - added Github and Sourceforge themes


== highlight 3.33

02.11.2016

 - fixed highlighting of nested section delimiters
 - fixed PHP definition (thanks to Christoph Burschka)
 - fixed font family declaration in SVG
 - fixed user defined encoding in ODT
 - fixed unnecessary output of style file with `--inline-css`
   (thanks to Jens Schleusener)
 - added vimscript language definition (thanks to Max Christian Pohle)
 - added Coffeescript language definition (thanks to Jess Austin)
 - added PureBasic definition and theme (thanks to Tristano Ajmone)
 - added JSX language definition (suggested by Max Stoiber)
 - added PO translation definition
 - added plug-in outhtml_add_figure.lua
 - updated js definition
 - updated Artistic Style lib (SVN Rev. 521)
 - improved various color themes and syntax definitions


== highlight 3.32

24.09.2016

 - added support for true color escape codes (`--out-format` truecolor)
 - fixed xterm256 output for paging with less (thanks to Fylwind)
 - fixed operator regex in rnc.lang, crk.lang and yaml.lang (thanks to Joe Klauza)
 - added Pony and Whiley definitions
 - updated Ceylon, Julia and TypeScript definitions
 - added Go, AutoHotKey, TypeScript and R to the foldable list in the
   outhtml_codefold.lua plug-in
 - removed plugins/bash_ref_linuxmanpages_com.lua
 - GUI: fixed README, ChangeLog and License file paths on Linux


== highlight 3.31

01.08.2016

 - revised documentation
 - GUI: fixed minor layout issues


== highlight 3.30

30.06.2016

 - the data directory can be defined with the HIGHLIGHT_DATADIR environment variable
 - fixed RTF output of UTF-8 input; needs input encoding set to utf-8
   (thanks to Kamigishi Rei)
 - fixed XML comment recognition (thanks to Mani)
 - data search directories were appended to the result of `--list-scripts`
 - revised older syntax definitions
 - updated base URLs of bash_ref_linuxmanpages and cpp_ref_qtproject plug-ins
 - GUI: added system copy and paste shortcuts for clipboard functions
   (suggested by Kamigishi Rei)


== highlight 3.29

24.05.2016

 - added Ansible Yaml definition (thanks to Raphael Droz)
 - added Chapel definition (thanks to Lydia Duncan)
 - fixed gcc 6 warnings about deprecated auto_ptr usage
 - src/makefile: added -std=c++11 because of auto_ptr to unique_ptr transition
   (thanks to Jens Schleusener)
 - GUI: fixed style file output if "write to source directory" option is
   checked (thanks to Jim Pattee)


== highlight 3.28

15.02.2016

 - added support of Pascal, Lua, Ruby and C# regions in outhtml_codefold.lua
 - improved outhtml_codefold.lua to handle embedded languages
 - added string delimiters in the Ruby definition
 - added new AssertEqualLength flag in string section of language definitions
 - improved heredoc parsing
 - fixed Lua multiline string recognition
 - improved SVG whitespace output (patch by Paul de Vrieze)
 - added Nim and mIRC Scripting definitions


== highlight 3.27

19.01.2016

 - improved outhtml_codefold.lua to ignore brackets on the same line
 - added RTF output to mark_lines.lua
 - fixed Powershell and NSIS definitions
 - added JSON and Github Markdown definitions
 - CLI: added `--keep-injections` option to force plugin injection output with `-f`
 - GUI: added keep injections checkbox
 - GUI: fixed crash after removing selected plugins


== highlight 3.26

13.01.2016

 - added `HL_REJECT` state to be used in a `OnStateChange` function
 - added `DecorateLineBegin` and `DecorateLineEnd` hooks
 - added mark_lines.lua, outhtml_codefold.lua, comment_links.lua plug-ins
 - fixed font face in ODT output
 - fixed Operators parameter in frink.lang and oorexx.lang
 - fixed regular expression parsing within strings for JS, Perl and Ruby
 - CLI: added `--page-color` option to include a page color in RTF output
 - GUI: added RTF page color checkbox


== highlight 3.25

18.12.2015

 - added new SVG definition to support embedded scripting
 - improved js.lang, css.lang, scss.lang, less.lang, tsql.lang
 - modified HTML ordered list output to work better with new plug-ins
 - renamed plug-in variable `HL_INPUT_FILE` to `HL_PLUGIN_PARAM`
 - CLI: renamed `--plug-in-read` option to `--plug-in-param`
 - GUI: updated plug-in parameter label and tool-tips
 - GUI: fixed minor issues


== highlight 3.24

02.11.2015

 - fixed TeX output for cweb documents (patch by Ingo Krabbe)
 - fixed string interpolation in bat.lang
 - added reduce_filesize.lua, outhtml_add_shadow.lua,
   outhtml_add_background_svg.lua, outhtml_add_background_stripes.lua,
   outhtml_add_line.lua plug-ins
 - added TCL extension in examples/tcl
 - added kotlin.lang, nginx.lang and julia.lang
 - updated php.lang to include version 7 keywords
 - updated ceylon.lang to include version 1.2 keywords
 - updated scripts in examples directory
 - CLI: style-infile option marked as deprecated
 - GUI: shortened paths in file input lists


== highlight 3.23

16.07.2015

 - added rs.lang
 - added conf.lang (thanks to Victor Ananjevsky)
 - added some extensions in filetypes.conf (patch by Victor Ananjevsky)
 - fixed Matlab definition and style (thanks to Justin Pearson)
 - CLI: fixed `--list-scripts` with unknown argument (thanks to Jens Schleusener)


== highlight 3.22

17.02.2015

 - updated astyle code to release 2.05.1
 - fixed shebang recognition (thanks to Victor Ananjevsky)
 - GUI: added option to define line numbering start


== highlight 3.21

02.02.2015

 - added support for Less, Sass and Stylus CSS processors (suggested by Marcel Bischoff)
 - added support for Lua 5.3, removed LUA52 makefile option
 - fixed heredoc matching in perl.lang (thanks to cornucopia)
 - fixed Haskell lang (thanks to Daan Michiels)
 - fixed RNC lang (thanks to Daan Michiels)
 - fixed regex pattern in js.lang


== highlight 3.20

28.11.2014

 - updated astyle code to release 2.05
 - added astyle reformatting style vtk


== highlight 3.19

05.09.2014

 - added bold, italic and underline attributes to xterm256 ANSI output
   (patch by Andrew Fuller)
 - fixed assembler mapping in filetypes.conf (thanks to Jens Schleusener)
 - added Swift definition
 - improved ASP, F#, OCaml and Lisp syntax definitions
 - added interpolation patterns to several definitions
 - updated base URLs in cpp_ref_gtk_gnome and cpp_ref_qtproject plug-ins
 - CLI: added Pango markup output option (patch by Dominik Schmidt)


== highlight 3.18

28.03.2014

 - filenames without extension (ie. makefile) can be mapped in filetypes.conf
   (suggested by Sam Craig)
 - fixed Rexx highlighting
 - added GDB language definition (thanks to A. Aniruddha)
 - added the.theme (thanks to Mark Hessling)


== highlight 3.17

06.01.2014

 - updated astyle code to release 2.04
 - added astyle reformatting styles google, pico and lisp
 - improved raw string parsing in cs.lang (patch by smdn.jp)
 - added regex recognition in js.lang (patch by Troy Sankey)
 - added PDF language definition (thanks to Roland Hieber)


== highlight 3.16.1

01.11.2013

 - fixed debug output in sh.lang (https://sourceforge.net/p/syntaxhighlight/bugs/9/)


== highlight 3.16

30.09.2013

 - updated astyle code to release 2.03
 - added heredoc string literal parsing for Lisp, Perl, PHP, Ruby and Bash
 - revised several language definitions
 - added DataDir::searchDataDir for the Perl SWIG bindings (thanks to David Bremner)
 - added SWIG PHP binding (patch by G. Wijaya)


== highlight 3.15

27.06.2013

 - updated Diluculum code to release 1.0 (support of Lua 5.2)
 - patched Diluculum to support Lua 5.1 and 5.2
 - added support for Yang (thanks to A. Aniruddha)
 - fixed Ruby definition


== highlight 3.14

31.04.2013

 - added HeaderInjection and FooterInjection variables for syntax plug-ins
 - fixed handling of CRLF files on Linux (suggested by William Bell)
 - replaced single data directory by a dynamic config file search; see README
   (suggested by Daniel)
 - added plug-ins outhtml_parantheses_matcher.lua, outhtml_keyword_matcher.lua
 - CLI: added `--list-scripts` option
 - CLI: marked `--data-dir`, `--list-langs`, `--list-themes` options as deprecated
 - CLI: removed `--add-config-dir` option


== highlight 3.13

05.02.2013

 - added support for Crack (thanks to Conrad Steenberg)
 - added XML shebang regex (thanks to Ferry Huberts)
 - added hints to makefile to deal with Lua 5.1 and LuaJIT system libs
 - updated cpp_ref_gtk_gnome.lua plug-in
 - updated cpp_ref_cplusplus_com.lua plug-in
 - CLI: fixed segfault if `--force` was applied and unknown files were parsed
   (thanks to Jussi Judin)
 - GUI: fixed unselected theme after first program start


== highlight 3.12

05.10.2012

 - CSS class name is omitted in HTML output if class-name option is set to NONE
 - added support for highlighting of string interpolation
 - added support for Dart and TypeScript
 - fixed SWIG module
 - GUI: added Simplified Chinese translation (thanks to Love NoAny)


== highlight 3.11 beta

21.08.2012

 - replaced Pattern/Matcher classes by the Boost xpressive library
   (now swig example is broken)
 - updated Relax NG syntax (thanks to Roger Sperberg)
 - added new oxygenated theme (thanks to Roger Sperberg)
 - fixed highlight.pro to include correct lua5.1 paths
 - GUI: fixed shebang recognition


== highlight 3.10 beta

21.07.2012

 - fixed HTML ordered lists to improve copy&paste in browsers (suggested by Nash)
 - changed default output from HTML 4.01 to HTML5
 - changed default HTML font family to include the generic monospace font
 - added ODT Flat XML output format (`--out-format=odt`)
 - added fontenc package in LaTeX output (patch by Yimin Li)
 - fixed RTF hyperlink output in several plug-ins
 - removed ctags option (functionality was replaced by plug-in)
 - CLI: added `--wrap-no-numbers` option (patch by Michael Enßlin)
 - GUI: replaced Qt file dialogs by native dialogs


== highlight 3.9

01.05.2012

 - enhanced the plug-in interface (added Decorator function and Injections property)
 - added several example plug-ins which show how to add keyword links to online
   references (e.g. cplusplus.com, perldoc.perl.org, qtproject_org)
 - added ctags plugin (ctags_html_tooltips.lua)
 - improved Perl and N3 definitions (thanks to Heiko Jansen)
 - CLI: marked `--ctags-file` option as deprecated
 - CLI: added `--plug-in-read` option to define an input file for plug-ins
 - CLI: fixed file suffix recognition
 - GUI: added input field for a plug-in input file
 - GUI: fixed initial input tab selection
 - GUI: set initial font selection to Courier


== highlight 3.8

24.02.2012

 - updated astyle code to release 2.02.1
 - fixed SWIG perl binding makefile (patch by David Bremner)
 - fixed shebang recognition (patch by Georgios M. Zarkadas)
 - fixed file suffix recognition (patch by Georgios M. Zarkadas)
 - fixed memory leak in astyle's ASFormatter (patch by MENG Wei)


== highlight 3.7

03.01.2012

 - added support for Biferno (thanks to Sandro Bilbeisi)
 - added support for RPL (thanks to Frank Seidinger)
 - added support for Ceylon
 - fixed Ruby definition
 - HTML font string may contain a list of fonts, which is not enclosed in quotes
   (suggested by Sebastiano Poggi)
 - GUI: added `--portable` command line option to save config files in the current
   working directory instead of the user directory (suggested by Royi Avital)
 - GUI: fixed some language mappings


== highlight 3.6

05.10.2011

 - added support for UPC (thanks to Viraj Sinha)
 - added support for N3, N-Triples, Turtle, SPARQL (suggested by  Heiko Jansen)
 - added Solarized color theme (thanks to Steve Huff)
 - fixed OCaml definition (thanks to Kakadu Hafanana)
 - fixed camo colour theme
 - removed sienna and desertEx colour themes
 - CLI: fixed segfault with `--print-style` option
 - GUI: added "Dock floating panels" checkbox in the main menu


== highlight 3.5

02.06.2011

 - updated astyle code to release 2.02
 - fixed `--force` option (thanks to Stefan Bühler)


== highlight 3.4

31.03.2011

 - added support for ABC, Algol, AS/400 CL, BCPL,  Limbo, Gambas, JavaFX,
   RPG, Transact-SQL, PL/Perl, PL/Tcl, PL/Python, Charmm
 - fixed web plugins (Serendipity, DokuWiki, Wordpress)
 - fixed BBCode closing tag order
 - GUI: Updated Czech translation (thanks to Pavel Fric)


== highlight 3.3

28.12.2010

 - updated astyle code to release 2.01
 - fixed overwriting of files with the same name in recursive batch mode
   (thanks to Ramanathan U.)
 - added DataDir class to SWIG interface (patch by David Bremner)
 - added Andes theme (thanks to Roger Sperberg)
 - enabled deprecated @highlight pass-through (suggested by David Bremner)
 - dropped oceandeep theme
 - updated documentation


== highlight 3.2

08.11.2010

 - added plug-in function `AddKeyword` (suggested by Michael Serrano)
 - language definitions are cached instead of being reloaded if input syntax
   changes
 - added keyword group ID parameter to the plug-in function `OnStateChange`
 - added plug-in script bash_functions.lua
 - added theme description in output style's comment
 - added enum and union keywords in c.lang (thanks to Thiago)
 - added dl linking flag in Makefile to fix Debian build error
   (thanks to Michael Serrano)
 - added NDEBUG flag in makefile to disable asserts
 - GUI: Added Czech translation (thanks to Pavel Fric)


== highlight 3.1

24.08.2010

 - updated Diluculum to version 0.5.3
 - fixed README
 - fixed conversion without highlighting (`--syntax txt`)
 - fixed msxml definition (thanks to Andrei Rosca)
 - added edit-flashdevelop theme (thanks to Andrei Rosca)
 - CLI: fixed minor bugs


== highlight 3.1 beta3

12.08.2010

 - added `--config-file` option
 - CLI: fixed minor bugs
 - GUI: renamed output specific options tab
 - GUI: remember state of the dock panel


== highlight 3.1 beta2

08.07.2010

 - moved plugin scripts from examples to new plugins directory
 - fixed web_plugin path in makefile (thanks to Jochen Schmitt)
 - fixed SWIG interface and example scripts
 - improved converted VIM colour themes
 - improved several language definitions (Fortran77, Zonnon,
   Basic, Verilog, Squirrel, R)
 - added new plugins (java_library.lua, theme_invert.lua)
 - GUI: added plug-in description label
 - GUI: moved setting controls into a dock panel


== highlight 3.1 beta1

21.06.2010

 - enabled loading of multiple plugins
 - added MXML language definition (suggested by Neal Delfeld)
 - fixed HTML, XML, CSS, Actionscript and JavaScript definitions
 - converted 60 popular VIM colour themes


== highlight 3.0 beta

03.06.2010

 - language definitions, themes, filetypes.conf were converted to Lua scripts
   (try examples/*2to3.py to convert old files)
 - added `--plug-in` option to enable user scripts
 - renamed *.style files to *.theme
 - moved include files from src/core to src/include
 - moved examples/plugins to examples/web_plugins
 - renamed `--linenumbers` to `--line-numbers`
 - renamed several language definitions and themes
 - fixed several string delimiter issues (Ruby, Lua)
 - changed default theme for xterm256 output to edit-vim-dark
 - changed short options: `-O` is `--out-format`, `-d` is `--out-dir`, `-T` is `--doc-title`
 - disabled `--mark-line` feature
 - disabled `--add-data-dir` feature
 - disabled separate output format options (use `--out-format` instead)
 - disabled XML output (use SVG or XHTML)
 - New dependencies: Lua5.1-devel, Boost Headers (Bind)


== highlight 2.16

29-03-2010

 - updated astyle code to release 1.24
 - added indentation styles 1tbs and horstmann
 - added `--no-trailing-nl` switch (suggested by Adiel Mittmann)
 - added Modula2 definition (thanks to Benjamin Kowarsch)
 - added EBNF definition (thanks to Mate Ory)
 - added ABNF, AutoHotKey, BBCode and Clean language definitions
 - updated C++ definition to support C++0x syntax
 - added StartupNotify switch in desktop file (patch by Jochen Schmitt)


== highlight 2.15

25-02-2010

 - improved HTML nested language patterns (thanks to Simone)
 - improved Rexx and PL1 definitions (thanks to Robert Prins)
 - added support for NXC and NBC
 - GUI: added copy and paste support (thanks to Torsten Flammiger)
 - GUI: fixed preview of UTF-8 input


== highlight 2.14

04-01-2010

 - fixed Rexx output (thanks to Marc Hessling)
 - added support for Go and Pure
 - added support for BNF (thanks to Julien Fontanet)
 - updated Logtalk definition (thanks to Paulo Moura)
 - updated THE theme  (thanks to Marc Hessling)
 - CLI: `--quiet` switch suppresses "Unknown source file extension" error
   (suggested by Nathan Gray)


== highlight 2.13

02-10-2009

 - fixed SVG output (thanks to Xico)
 - GUI: added new icon


== highlight 2.12

07-09-2009

 - fixed bug with $INCLUDE statement
 - fixed ctags file parsing
 - added nested language recognition within a source file (suggested by Pavel Striz)
 - added $NESTED statement to language definitions (pas, html, tex)
 - added support for F# (fs.lang)
 - added support for haXe (hx.lang)
 - improved various language definitions
 - revised documentation
 - LIB: added version to shared lib output name
 - CLI: added options `--start-nested` and `--print-style`


== highlight 2.11

23-07-2009

 - added BBCode output option (`--bbcode`, suggested by Qui Peccavit)
 - added new `--delim-cr` option to cope with MacOS 9 files
   (suggested by Steven Haddock)
 - added shared lib target (make lib-shared, suggested by Dario Teixeira)
 - list of installed languages (`--list-langs`) was enhanced to include mapped file
   extensions (suggested by Martin Kammerlander)
 - improved many colour themes using Agave (agave.sf.net)


== highlight 2.10

24-06-2009

 - fixed CR parsing bug on MacOS (thanks to Shiro Wilde)
 - fixed SWIG makefile (thanks to David Bremner)
 - license changed from GPLv2 to GPLv3 (incl. included libs)
 - updated Artistic Style lib to version 1.23
 - new indentation schemes: stroustrup, whitesmith, banner
 - removed indentSchemes and helpmsg directories
 - removed README_INDENT
 - replaced ide-devcpp theme by a new jedit theme
 - added support for Interactive Data Language (idlang, thanks to Roberto
   Mendoza)
 - added support for Rebol, Oz, Mercury, Zonnon, ATS (Applied Type System),
   CHILL, NetRexx, Inno Setup and INTERLIS
 - added pp, rjs, jnlp, groovy, gnad, es, sblc, ooc, gst, sq extensions
   to filetypes.conf
 - improved Prolog, Pike, Oberon, Nice, Java, Lisp, Lua, Haskell, C# and SML
   definitions
 - improved spec.lang for RPM (thanks to Luoyi Ly)
 - CLI: option `--help-lang` is deprecated
 - API: dropped setSpecialOptions(), renamed initializing methods to init*


== highlight 2.9

30-April-2009

 - added more customized boxes for the LaTeX `--pretty-symbols` switch
   (thanks to Romain Francois)
 - GUI: fixed makefile to pass custom paths to the Qt project makefile
   (thanks to Joerg Germeroth)
 - GUI: reduced window height (thanks to Fidel Barrera)
 - GUI: added Spanish translation (thanks to Fidel Barrera)
 - GUI: added drag and drop for input files


== highlight 2.8

30-March-2009

 - added `--pretty-symbols` option to improve LaTeX output quality of tilde and
   braces (thanks to Romain Francois)
 - omitted warning message if `--syntax` parameter is contained in the `--skip` list
   (thanks to Bob Smith)
 - included language descriptions in `--list-langs` output
 - dropped dependency of `--replace-quotes` and `--fragment` options
 - enhanced Python SWIG example (testmod.py)
 - added qmake language definition
 - fixed SWIG scripts (thanks to David Bremner)
 - fixed gcc 4.4 compilation (patch by Jochen Schmitt)
 - dropped core/html32generator.*
 - dropped src/gui (wxWidgets based interface)
 - GUI: rewrote the user interface using Qt


== highlight 2.7

12-January-2009

 - changed versioning scheme to major.minor
 - fixed infinite loop in the W32 build when outputting LaTeX/TeX as UTF-8
   (thanks to Christophe Bal)
 - fixed VHDL and Scilab definitions (thanks to Frederik Teichert)
 - fixed XML definition (thanks to Edin)
 - fixed `-r` switch (thanks to Frederik Teichert)
 - fixed default number recognition regex
 - added Clojure language definition (thanks to Pierre Larochelle)
 - added wrapping arrow in LaTeX/HTML output if `--wrap`/`--wrap-simple` is set
   (suggested by Frederik Teichert)
 - updated ide-msvcpp.style to match current Visual Studio appearance
   (suggested by Pieter Kruger)
 - added make targets "lib" and "cli"
 - organized sources in subdirectories (core, cli, gui) and adjusted makefiles


== highlight 2.6-14

21-October-2008

 - added `--ctags-file` option to add tooltips with meta information in HTML output
 - added options to improve compatibility with GNU source-highlight: +
   `--doc`, `--no-doc`, `--tab`, `--css`, `--output-dir`, `--failsafe`, `--out-format`,
   `--src-lang`, `--line-number`, `--line-number-ref`
 - fixed ADA95, C#, Eiffel, Fortran, TCL, Bash definitions
 - added Vala language definition
 - added several file suffixes to filetypes.conf
 - fixed gcc 4.3 compilation issues (patch by Detlef Reichelt)
 - fixed race condition in makefile (patch by Jochen Schmitt)
 - added exit condition if input path matches output path
   (suggested by James Haefner)
 - GUI: added ctags file selection options (only wx2.9 version)


== highlight 2.6-13

29-September-2008

 - added `--skip` option to ignore unknown file types (suggested by Bob Smith)
 - added Haskell LHS language definition (suggested by Sebastian Roeder)
 - added regex description for Perl and Ruby definitions
 - improved Bison, Paradox, SML, Snobol, Verilog definitions
 - renamed snobol.lang to sno.lang
 - updated Artistic Style lib to version 1.22
 - replaced dirstream lib by a faster file globbing method
   (invoked with `--batch-recursive`)
 - support for USE_FN_MATCH compile flag was dropped
 - Makefile generates libhighlight.a (suggested by Adiel Mittmann)
 - Updated SWIG makefile and documentation


== highlight 2.6-12

04-August-2008

 - added RTF character stylesheet option (suggested by Klaus Nordby)
 - fixed filetypes.conf path in RPM specfile (thanks to Nikita Borodikhin)


== highlight 2.6-11

09-July-2008

 - added SVG output option (`--svg`)
 - reassigned `-G` short option from `--class-name` to `--svg`
 - fixed various makefile issues (patches by Samuli Suominen)
 - added highlight.desktop file (suggested by Samuli Suominen)
 - GUI: added SVG and font selection options (only wx2.9 version)
 - GUI: reduced window height by hiding format specific input controls
 - updated highlight.spec to compile wx2.9 GUI


== highlight 2.6-10

07-May-2008

 - fixed XHTML output (thanks to Allen McPherson)
 - added Logtalk definition (thanks to Paulo Moura)
 - added support for Eiffel ecf project files (thanks to Jérémie Blaser)
 - various code improvements (patch by Antonio Diaz Diaz)


== highlight 2.6-9

26-March-2008

 - fixed `--validate-input` option with input from stdin
 - fixed missing DESTDIR prefix in makefile (thanks to Bob Smith)
 - fixed handling of several keyword regexes using the same group name
 - added support for Lilypond
 - added support for Arc (thanks to Pierre Larochelle)
 - added support for embedded output instructions (see README)
 - added examples/highlight_pipe.* (PHP, Perl and Python interface scripts)
 - replaced getopt_long by argparser class
 - language definition parameters $kw_list and $kw_re are merged to $keywords
 - GUI: fixed preview of UTF-8 files (thanks to Victor Woo)
 - GUI: added all-gui-wx29 target in Makefile to compile with wxWidgets 2.9


== highlight 2.6-8

01-February-2008

 - fixed highlighting issue with nested comments, if delimiters are distinct
 - fixed XML and CSS highlighting
 - fixed C escape sequence parsing of octal and hex sequences
 - language definition tag tag_delim was dropped
 - outdated file README_ES was dropped
 - gcc4.3 compilation support was added (patch by Jochen Schmitt)
 - font-family parameter is enclosed in apostrophes in HTML output
 - added `--kw-case=capitalize` option
 - added `--enclose-pre` option
 - added file README_LANGLIST
 - improved several language definitions
 - GUI: decreased window height
 - GUI: preview window is scrolled to last view position after a content update
 - GUI: windows saves and restores previous position and size


== highlight 2.6-7

04-January-2008

 - support for RTF background colour was added
 - regex() in language definitions  expression allows optional definition of
   capturing group number
 - added `--add-config-dir` option to define config search path
   (suggested by Nathaniel Gray)
 - allowed invocation of makefile with CFLAGS and LDFLAGS as parameters
   (patch by Nathaniel Gray)
 - fixed OCaml definition (thanks to Nathaniel Gray)
 - fixed AutoIt definition
 - added case insensitive file suffix matching (thanks to Stefan Boumans)
 - GUI: added RTF mimetype to clipboard data (thanks to Stefan Boumans)
 - GUI: fixed preview update after tab width change (thanks to Stefan Boumans)


== highlight 2.6-6

10-December-2007

 - added Smalltalk definition and moe theme (thanks to Joerg Walter)
 - added support for diff and patch files
 - GUI: added clipboard button (suggested by Klaus Schueller and Stefan Boumans)
 - fixed Matlab definition (thanks to Andreas Boehler)
 - fixed print.style (thanks to Albert Neu)
 - fixed output of lines with CR/LF (bug of 2.6.5)
 - fixed php and css definitions
 - updated ActionScript definition (thanks to Samuel Toulouse)
 - updated sql definition (thanks to Stefan Boumans)
 - dropped dull theme


== highlight 2.6-5

02-October-2007

 - fixed compilation warning on 64 Bit OS (thanks to Uwe Sassenberg)
 - allowed embedded comments in Pascal definition (thanks to Helmut Giritzer)
 - fixed memory leak
 - improved performance
 - added serendipity plugin in examples/plugins
 - added support for diff (and patch) files (suggested by Dan Christensen)
 - adjusted SWIG makefiles and sample scripts
 - improved definitions of Bash, Ruby, Maya, Tcl, Agda and Haskell


== highlight 2.6-4

13-September-2007

 - fixed TeX and LaTeX output (space after strings were omitted,
   thanks to Andre Schade)
 - fixed Perl language definition (thanks to Jens Kadenbach)
 - fixed gui.cpp compilation with wxWigets unicode build (thanks to Dennis Veatch)
 - updated R language definition (thanks to Yihui Xie)


== highlight 2.6-3

06-September-2007

 - added `--inline-css` option to output CSS within each tag element
 - renamed previewgenerator.* files to html32generator.*
 - GUI: changed GUI configuration format (using wx config classes)
 - GUI: added inline CSS option
 - binaries are no longer stripped by default (src/makefile)
 - added notes to makefiles and INSTALL concerning static linking
   (thanks to Ken Poole)
 - improved MacOS X compatibility (thanks to Benjamin Kowarsch)
 - added ide-xcode theme (thanks to Benjamin Kowarsch)
 - README files were updated
 - updated plugin scripts to use the new `--inline-css` option


== highlight 2.6-2

19-July-2007

 - dropped deprecated option `--format-style`
 - added `--html` option for plausibility (HTML output is still default)
 - reassigned `-H` option to `--html`
 - added option `--kw-case` to output keywords in upper case or lower case if
   the language is not case sensitive
 - added option `--mark-line` to highlight several code lines in HTML output
 - added mark-line parameter to colour themes, renamed kw_group parameter
   to kw-group
 - added option `--validate-input` to test if input file is text (if the input
   is considered binary, no parsing takes place)
 - updated astyle code to release 1.21
 - improved PHP4 compatibility of the wordpress plugin (thanks to Thomas Keller)
 - added support for Open Object Rexx (oorexx.lang)
 - updated documentation


== highlight 2.6-1

21-May-2007

 - support of HTML colour notation in theme files (ie #12aa00)
 - fixed bad formatting of single line comment and directive substrings after
   line wrapping took place (multiline comments may still be screwed up)
 - enabled `highlight -c stdout` to print style definition to stdout
 - moved highlight/highlight subdir to highlight/src
 - removed examples/cgi
 - added examples/plugins
 - moved gui file directories ext and i18n to DATADIR/gui_files/
 - removed themes: berries-light, whatis
 - added themes: lucretia, orion
 - fixed SWIG interface files and scripts
 - fixed makefile and filetypes.conf (thanks to Axel Dyks)
 - improved ini.lang (thanks to Axel Dyks)
 - GUI: added Brazilian Portuguese translation (thanks to Yorick)


== highlight 2.6-0

05-May-2007

 - fixed bug with line number count starting at zero by default
 - modified makefile to support PREFIX and DESTDIR variables (patch by Jeremy Bopp)


== highlight 2.5-6 beta

20-April-2007

 - added new option `--class-name` (suggested by John Pye)
 - fixed XML output (thanks to Hilmar Bunjes)
 - updated README files


== highlight 2.5-5 beta

05-April-2007

 - renamed `--line-number-width` to `--line-number-length`
 - added new option `--line-length`
 - fixed compilation error with gcc 4.3 (thanks to Martin Michlmayr)
 - added script shebang recognition with stdin input (patch by Alan Briolat)
 - added support for Boo scripting language
 - fixed translated help texts
 - added *.p, *.i, *.w as Progress file suffixes (thanks to Mark Reeves)


== highlight 2.5-4 beta

07-March-2007

 - improved display quality of preview font (Courier New)
 - updated astyle to version 1.20.2


== highlight 2.5-3 beta

03-March-2007

 - fixed bug in GUI preview update
 - reduced GUI height
 - added support for Linden script (Second Life)


== highlight 2.5-2 beta

28-February-2007

 - added prefix and prefix_bin variables to makefile (suggested by Thomas Link)
 - removed LaTeX page dimension directives (suggested by Thomas Link)
 - improved several color themes
 - removed berries-dark, added seashell theme


== highlight 2.5-1 beta

29-January-2007

 - fixed GTK GUI language file encoding to UTF 8
 - improved Ruby language definition
 - added gui subsection in the RPM specfile


== highlight 2.5-0 beta

17-January-2007

 - added Miranda language definition (thanks to Peter Bartke)
 - added Powershell (Monad) language definition
 - fixed ignored conf_dir parameter in makefiles (thanks to Bob Smith)
 - included source files and additional make rules to compile a wxWidgets GUI
   (binary: highlight-gui; make all-gui; needs wxWidgets 2.6+)


== highlight 2.4-8

19-October-2006

 - added xterm 256 color output (`-M`, `--xterm256`) (thanks to Wolfgang Frisch)
 - prints warning if output format ignores the theme background colour
 - fixed Java and Python language definitions
 - revised README files


== highlight 2.4-7

10-June-2006

 - fixed segfault in symbol parsing procedure (thanks to Veit Wedtstein)
 - updated Lua and Lisp definitions
 - added AutoIt, NSIS, Graphviz and Qore definitions
 - updated SWIG sample scripts


== highlight 2.4-6

02-May-2006

 - fixed segfault when outputting ANSI (thanks to Philip Jenvey)

== highlight 2.4-5

20-March-2006

 - fixed bug which caused segfault on x86_64 (thanks to Eric Hopper)
 - fixed wrong enumeration start when outputting text w/o highlighting
   (thanks to Russell Yanofsky)
 - added anchor-prefix option (suggested by Peter Biechele)
 - added anchor-filename option (suggested by Mazy)
 - added $description entry to language file format
 - added D language file
 - updated regex classes to version 1.05.02


== highlight 2.4-4

19-February-2006

 - added print-config option
 - added scilab definition (thanks to Gunnar Lindholm)
 - dropped support for XSL-FO (use XML instead for further processing)
 - dropped deprecated options (css-infile, css-outfile, include-css)
 - fixed line numbering (starting at 1, printed if syntax option is txt)
   (thanks to Russell Yanofsky)
 - renamed extensions.conf to filetypes.conf
 - moved content of scriptre.conf into filetypes.conf
 - renamed option help-int to help-lang
 - renamed option format-style to reformat
 - updated regex classes to version 1.04
 - code cleanup
 - updated documentation


== highlight 2.4-3

30-October-2005

 - added RTF page-size option (suggested by David Strip)
 - fixed bug in RTF output, which prevented italic and bold output
   (patch by Jeremy Weinberger)
 - renamed colour theme parameter KW_CLASS to KW_GROUP


== highlight 2.4-2

25-September-2005

 - added line-number-start switch (suggested by Roie Black)
 - added babel switch to make output compatible with LaTeX Babel
   package (disables Babel shorthands)
 - fixed ampl.lang (thanks to David Strip)
 - fixed error message if language definition is unknown
 - added Nemerle definition (n.lang)
 - added SAS definition (thanks to Alexandre Detiste)
 - added TTCN3 definition (thanks to Peter Biechele)
 - added tcsh.lang (thanks to Igor Furlan)
 - Unix package: moved *.conf to /etc/highlight/
   (suggested by Jochen Schmitt)


== highlight 2.4-1

23-July-2005

 - dropped include-pkg option
 - added CSS style for list items (`--ordered-list`)
 - fixed default number regex
 - fixed VHDL event recognition
 - added missing KWD keyword style to several colour themes
 - added $STRING_UNEQUAL parameter for language definitions
 - added string CodeGenerator::generateString(const string &)
 - improved Ruby and Octave highlighting
 - added SWIG interface in examples/swig
 - removed examples/python-binding
 - removed themes: neon2 fluke greyish ide-jbuilder4 ide-jcreator2
   ide-synedit neon2 rand02 ron whitenblue website


== highlight 2.3-6 beta

02-July-2005

 - fixed crash in language definition loader
 - saved helpmsg/cs.help as iso-8859-2
 - added include-pkg option to define a list of LaTeX packages
   which should be included
 - fixed output of UTF-8 characters (replaced isspace by iswspace)


== highlight 2.3-5 beta

26-June-2005

 - fixed LaTeX and TeX output
 - added support for UTF-8 LaTeX output (suggested by Sungmin Cho)
 - dropped automatic conversion of ASCII characters > 127, package
   latin1 is included instead


== highlight 2.3-4 beta

17-June-2005

 - added font and fontsize options (submitted by Yves Bailly)
 - added line-number-width (suggested by Yves Bailly)
 - code cleanup


== highlight 2.3-3 beta

16-May-2005

 - added kwd keyword class to most of the colour themes
 - added regular expressions to some language definitions


== highlight 2.3-2 beta

04-May-2005

 - improved number regex
 - added `--ordered-list` option (suggested by Dominic Lchinger)
 - fixed tag parsing (broken in 2.3-1)
 - updated docs
 - added Brazilian help text (thanks to Adao Raul)
 - added Czech help text


== highlight 2.3-1 beta

23-April-2005

 - added support for regular expressions in language definitions


== highlight 2.2-10

25-March-2005

 - added support for PowerPC Assembler (thanks to Juergen Frank)
 - added support for AppleScript (thanks to Andreas Amann)
 - added encoding option to set proper output encoding type in XML and
   HTML output formats (default encoding: ISO-8895-1)
   Note: encoding name has to match input file encoding
 - style definitions are generated if only `--fragment` and `--style-outpath`
   options are set
 - added simple recognition of scripts without file extension
   (Bash, Perl, AWK, Python)
 - added config file scriptre.conf to configure script recognition
 - moved langDefs/extensions.conf to package base directory
 - added `--force` option to generate output if language type is unknown
 - fixed parsing of escape sequences outside of strings in Perl
   (last six points suggested by Andreas Amann)
 - fixed output of CR line terminators
 - added classes pre.hl and body.hl in CSS definitions


== highlight 2.2-9

27-February-2005

 - fixed `--output` option
 - fixed line number indentation in TeX and LaTeX output
 - fixed compilation error for Darwin (OSX) (thanks to Plumber)
 - fixed LaTeX compilation warnings (thanks to Tyranix)
 - fixed xml default file suffix
 - closing style tags are no longer printed in the following output line
   (suggested by Yves Bailly)
 - fixed rb.lang (Ruby is case sensitive)
 - external style definitions and inclusion of user defined styles were
   added to LaTeX and TeX output
 - installation directory configuration is improved in the makefiles
   (all suggested by Thomas Link)
 - new options: style-outfile, style-infile, include-style
 - deprecated options: css-outfile, css-infile, include-css


== highlight 2.2-8

20-February-2005

 - added XML output (suggested by Matteo Bertini)
 - added support for MS SQL (thanks to Magnus ?erg)
 - added support for Pyrex (thanks to Matteo Bertini)
 - added support for Hecl, Luban and Qu


== highlight 2.2-7

12-January-2005

 - fixed compilation error on AMD64/gcc4.0 (thanks to Andreas Jochens)
 - fixed tab replacement (thanks to Adrian Bader)
 - fixed parsing of keywords with special characters as prefix ($ALLOWEDCHARS)
   (thanks to Magnus ?erg)
 - single spaces in (La)TeX are no longer preceded by backslash


== highlight 2.2-6

03-December-2004

 - fixed compilation error with getopt and Solaris 5.8
   (thanks to Philippe Cornu and Jean-Emmanuel Reynaud)
 - enabled css-infile option when include-css is set
 - improved IO and Perl language definitions
 - updated dirstram classes to release 0.4
 - W32 port: fixed installation path determination


== highlight 2.2-5

31-October-2004

 - fixed some compiler warnings in various Debian builds (thanks to Ayman Negm)
 - fixed indentation error in LaTeX output and output of "--" in bold font
   (thanks to Michael Suess)
 - added background colour attribute of body element to the CSS output to
   improve compatibility with old browsers (NS Communicator 4.8)
   (thanks to Wojciech Stryjewski)
 - in CSS output, user defined CSS definitions are now included after highlight
   style definitions to make modifications easier
 - highlight returns EXIT_FAILURE after every IO failure
 - updated Spanish manual and help message (thanks to David Villa)


== highlight 2.2-4

26-September-2004


 - changed ANSI output colours to vim style (suggested by David Villa)
 - added new acid indentation scheme and acid colour theme
   (thanks to Alexandre "AciD" Bonneau)
 - highlight returns 1 (EXIT_FAILURE) if file operations failed
   (suggested by David Villa)
 - fixed bug in LaTeX output: `[` and `*` characters after a linebreak (`\\`)
   caused latex compilation to stop (thanks to Christian Schilling)
 - improved error reports


== highlight 2.2-3

10-September-2004

 - applied patch to suppress compiler warnings on several platforms
   (thanks to weasel@debian.org)
 - renamed the /utils directory to /examples, which moved to
   /usr/share/doc/highlight/ (suggested by Ayman Negm)
 - if `--output` is defined and output format is (X)HTML, the CSS file is stored in
   the directory given by `--output` (suggested by Vicky Brown)
 - added spanish translations: README_ES and es.help (thanks to David Villa)
 - added support for SNMPv1 and SNMPv2 files: mib.lang (thanks to Roman Surma)
 - fixed highlighting of escape sequences in Pascal (thanks to Grzegorz Tworek)
 - added Pascal multi line comment delimiters: (*, *)
 - added a third keyword style (kwc) to all themes
 - added a third keyword group: ada.lang, gawk.lang, c.lang, java.lang, pas.lang
 - fixed some language definition with old $keyword entries


== highlight 2.2-2

20-July-2004

 - removed $STRINGDELIMITERPAIR parameter
 - internal changes


== highlight 2.2-1

11-July-2004

 - added content-type (iso-8859-1) to HTML output
 - added possibility to define custom keyword groups (suggested by Daniel Bonniot)
 - reformatting and indentation schemes are customizable, config files are located
   in /indentSchemes (suggested by Petri Heiramo)
 - added new output format: ANSI terminal sequences (`--ansi`)
   (suggested by David Villa)
   assigned `-A` to `--ansi`, `-g` to `--fop-compatible`
 - added `$SL-COMMENT` parameter to colour themes (enables separate highlighting
   of single and multi line comments)
 - added option to fill linenumbers with zeroes
 - improved quality of colour themes
 - changed names of following command line options:
   deletetabs -> replace-tabs
   listthemes -> list-themes
   listlangs  -> list-langs
   includecss -> include-css
   printindex -> print-index
 - dropped support for C# member attributes (was a nasty workaround)
 - dropped support for Forth
 - removed unnecessary `--batch` (`-b`) option
 - removed utils/cgi/perl/README_CGI
 - fixed raw string highlighting bug: r"""\n""" in Python is parsed correctly
 - fixed some old parameters in language definitions
 - added source directory names to generated index file (`-C`)


== highlight 2.0-25

20-June-2004

 - fixed quote replacement in LaTeX (\dq -> \dq{}) (thanks to Adrian Bader)
 - fixed crash if $HOME is not defined (thanks to Kostas Maistelis)
 - added compile flag CONFIG_FILE_PATH to define a custom path to the config file
 - added local copy of getopt, which is compiled if the system does not provide it
   (removed win32cmdline.*)
 - fixed VHDL event parsing
 - removed some poor quality colour themes and improved some others
 - added ide-eclipse style


== highlight 2.0-24

10-June-2004

 - improved VHDL support (thanks to Aaron D. Marasco)
 - added Coldfusion MX definition (thanks to Paul Connell)
 - added $REFORMATTING option to language definitions
 - added a Python binding in utils/python-binding
 - some code clean up


== highlight 2.0-23

16-May-2004

 - fixed ABAP definition (thanks to Kevin Barter)
 - fixed Python definition
 - fixed parsing of methods applied to numerical literals (possible in Ruby)
 - fixed indentation of line numbers in LaTeX (thanks to Michael Berndt)
 - reduced LaTeX output file size
 - improved layout of LaTeX document
 - applied some patches to Artistic Style code (see astyle.sourceforge.net)
 - added updated phpwiki-plugin utils/cgi/php/SyntaxHighlighter.php
   (thanks to Reini Urban)


== highlight 2.0-22

19-April-2004

 - improved Fortran 77 parsing (thanks to Geraldo Veiga),
   moved parsing information to f77.lang and f90.lang
 - added highlighting of float literals like .5
 - added new language definitions: ABAP/4, ARM, Bison, Dylan, FAME,Informix, Lisp,
   Octave, R, Scala, Snobol, Verilog
 - removed `-d` option
 - added `-P` option to display a progress bar in batch mode


== highlight 2.0-21

23-March-2004

 - added option (`-r`) to replace " by \dq in LaTeX (thanks to Nikolai Mikuszeit)
 - added option (`-E`) to define another search path, where language definitions
   and themes may be stored (suggested by a Debian package tester)
 - fixed bug which disabled HTML anchors (thanks to Richard Beauchamp)
 - fixed wrong current working directory detection in W32 code (thanks to Ian Oliver)
 - improved fragmented TeX output
 - fixed man page
 - changed path of config file to ~/.highlightrc (Unix)
 - added options to config file
 - changed parameter prefix from "/" to the more convenient "$" in configuration files
 - changed "typesmods" parameter in language definitions to "types"
 - improved some colour themes
 - added $INCLUDE statement in language definitions to include content of other files


== highlight 2.0-20

09-March-2004

 - added new parser options: TYPEDELIMITERS and KEYWORDDELIMITERS to enable
   highlighting of variables like ${var}
 - changed RTF font to Courier New
 - added symbol highlighting (last two suggested by Anssi Lehtinen)
 - added new colour themes (darkblue, zellner, ron, peachpuff, pablo, nedit)
 - added a new directive to add a custom installation directory at compile time
   (CUSTOM_INSTALL_DIR in highlight/makefile)
 - added Doxygen documentation
 - updated spec.lang, sh.lang and make.lang
 - fixed some case insensitive language files
 - replaced make by ${MAKE} in makefile (suggested by Thomas Dettbarn)
 - removed utils/frontend (see homepage for highlight-gui package)
 - moved German help to README_DE
 - moved documentation files to /usr/share/doc/highlight (suggested by Ayman Negm)


== highlight 2.0-19

21-February-2004

 - improved whitespace indentation in TeX and LaTeX
 - fixed output of +, -, =, <, > in TeX
 - fixed output of blank lines in TeX
   (all suggested by Milan Straka)
 - updated Java language definition to 1.5
 - added support for BibTex, Erlang, Icon, Lisp, Lotos, Maple, Objectice C,
   Prolog, PostScript and RPM Spec


== highlight 2.0-18

08-February-2004

 - changed hskip unit in LaTeX output vom mm to em
 - fixed different font width of spaces in TeX output
   (thanks to Milan Straka)
 - added macros in TeX output to reduce file size
 - fixed bug which made first line number disappear (introduced in 2.0-17)
 - declared XSL-FO output as experimental, added a switch to provide
   modified output for both Apache FOP and xmlto/xsltproc


== highlight 2.0-17

01-February-2004

 - enabled multiple input file names and real batch processing wildcards
 - improved debugging output
 - added new PHP Wiki plugin (thanks to Alec Thomas)
 - fixed newlines at the beginning and the ending of HTML output
 - fixed Java and Nice language definitions (thanks to Daniel Bonniot)
 - general cleanup (code, makefiles, docs)


== highlight 2.0-16

12-January-2004

 - added new options to wrap long lines (suggested by Johannes Wei�)
 - added new colour themes: vim, vim-dark and ide-codewarrior
 - improved Java, Nice and C parsing


== highlight 2.0-15

04-January-2004

 - improved XSL-FO output (thanks to Daniel Bonniot)
 - reduced LaTeX output file size


== highlight 2.0-14

21-December-2003

 - added XSL-FO output format (suggested by Daniel Bonniot)
 - fixed segfault when theme file was not found
 - improved makefiles
 - ported code to Solaris (thanks to Ade Fewings)


== highlight 2.0-13

25-November-2003

 - fixed parsing of XML comments
 - fixed conversion of umlauts and accents
 - improved parsing of numbers (suffixes like 30L, 4.5f; exponents)
 - '@' in HTML output is replaced  by HTML entity to confuse spam robots
 - fixed Avenue, Perl, Progress and Clipper language definitions
 - added support for Action Script, Objective Caml, Standard ML, Felix,
   Frink, IO, Nasal, MaxScript, Oberon, Object Script
 - replaced AutoConf build process by customizable makefile (suggested by John Skaller)


== highlight 2.0-12

09-November-2003

 - fixed parsing of subtractions (i.e: varName-1)
 - added support for SuperX++ (thanks to Kimanzi Mati)
 - added Relax NG Compact language definition (thanks to Christian Siefkes)


== highlight 2.0-11

26-October-2003

 - fixed LaTeX and Squirrel language definitions
   (thanks to Stephan Bhme and Alberto Dechemelis)
 - fixed number parsing (allow 'a'-'f' in Hex numbers only)
 - replaced double quotes by single quotes in fragmented LaTeX output
 - added a new subdirectory "utils/", moved "cgi/" there
 - added a new Python Qt-Frontend
 - added a PHP module (thanks to Philip Van Hoof)
 - added Nice language definition


== highlight 2.0-10

21-September-2003

 - changed LaTeX font settings to \tt and \it
 - improved fragmented LaTeX output
 - fixed LaTeX language definition
 - fixed multi line compiler directive parsing with strings
 - added new Squirrel ans JSP language definitions


== highlight 2.0-9

14-September-2003

 - trailing whitespace from input is ignored
 - modified LaTeX fragmented output to simplify inclusion of code in
   existing documents
 - added support for multiple line compiler directives
 - added new THE style (thanks to Mark Hessling)


== highlight 2.0-8 Hot Summer Build

15-August-2003

 - fixed bug which prevented highlighting of escape characters within strings
   which start a new line
 - fixed XHTML line anchors attribute to "id"
 - added background colour support for plain TeX
 - improved recognition of strings with different open/close delimiters
 - added a reasonable 4th support
 - internal changes to improve speed
 - changed XHTML encoding from utf-8 to iso-8859-1 and xhtml version to 1.1
 - removed comment in XHTML header to enable highlighting when style
   definition is included in output
 - added recognition of hex, octal and unicode escape sequences (\123, \xff)
 - improved Python and Tcl support


== highlight 2.0-7

04-August-2003

 - fixed parsing of C# simplified strings (thanks to Cerda)
 - added support for C# member attributes (thanks to Gauthier)
 - added `--listlangs` option (suggested by Mark Hessling)
 - improved plausibility of `--outdir` option (thanks to Otto Barnes II)


== highlight 2.0-6

27-July-2003

 - fixed bug in HTML and XHTML output, which caused insertion of too many
   "</span>" tags (thanks to Mark Hessling)


== highlight 2.0-5

20-July-2003

 - improved LaTeX, TeX and RTF colour output
 - fixed TeX output formatting errors
 - fixed LaTeX line number output (thanks to Johannes Nolte)
 - improved code portability (thanks to Gauthier)
 - added french help (thanks to Gauthier)


== highlight 2.0-4

01-July-2003

 - improved Ada 95 output (thanks to Frank Piron)
 - added HTML index file option
 - simplified API
 - added some language definitions


== highlight 2.0-2

28-May-2003

 - fixed bug causing lowercase output of case insensitive
   languages (thanks to David and Mark Hessling)
 - added new Matlab colour theme (thanks to David)
 - improved Rexx language definition (thanks to Mark Hessling)
 - added plain text language definition


== highlight 2.0

01-May-2003

 - fixed memory leak in DataDir::searchDataDir()
 - fixed configuration file parsing
 - added data-dir option
 - added batch-recursive option
 - changed CmdLineoptions.cpp to compile under Windows


== highlight 2.0b-9

27-April-2003

 - improved integer literal and C++ multiline comment parsing
   (both suggested by Benjamin Kaufmann)
 - improved directive line parsing


== highlight 2.0b-8

20-April-2003

 - added Pike language definition (thanks to Olivier Girondel)
 - added support for Forth (suggested by Hans Bezemer)
 - fixed bugs in language definition loader method
 - fixed segfault


== highlight 2.0b-7

07-April-2003

 - added Artistic Style indentation and reformatting


== highlight 2.0b-6

31-March-2003

 - fixed fortran code parsing ( thanks to Henning Weber)
 - improved performance


== highlight 2.0b-5

 - fixed theme files which had DOS line terminators
 - presets reader method was fixed
 - changed RTF output to Courier and 20 pt font size
 - help screen fixed


== highlight 2.0b-4

19-March-2003

 - added css-infile and css-outfile options to make generation of customizable css
   definitions clearer (suggested by Markus Werle)
 - fixed bug reading fontsize parameter of themes


== highlight 2.0b-3

16-March-2003

 - improved RTF output


== highlight 2.0b-2

09-March-2003

 - improved RTF output (added bold/italics/underline attributes)
 - improved TeX output (added theme colors [thanks to Markus Henning for TeX-URL],
   bold and italics)
 - added a description how to use the highlight parser in own applications


== highlight 2.0b

05-March-2003

 - memory leak was fixed
 - the parser was rewritten to add more flexibility and stability
 - added ability to highlight code with tags (XML, HTML...)
 - added ability to highlight strings with prefixes
   (variableprefix, keywordprefix)
 - different source file extensions are stored in a configuration file
   (extensions.conf)
 - configuration reader was modified to allow storing parameter values
   in multiple lines
 - added some more language definitions


== highlight 1.3.4-2

30-January-2003

 - added option to disable directive line bug
 - added ability to search *.style and *.lang files in different directories,
   which may be set as prefix option of ./configure
   (suggested by Jose Santiago)


== highlight 1.3.4

28-January-2003

 - fixed LaTeX output regarding escape characters outside of strings
 - fixed unmasked escape characters
   (both bugs reported by Peter Albert)
 - added \ttfamily to LaTeX header (suggested by Peter Albert)
 - rpm-spec file allows relocatable builds (thanks to Dwight Engen)
 - added "CPP" to recognised source file suffixes (suggested by Maniac)
 - replaced verb-|- by \textbar
 - fixed php.lang and py.lang


== highlight 1.3.3

08-January-2003

 - fixed Asm.lang (lower case of keywords/types)
 - added option to specify target directory of the output files
 - fixed bug in LateX/RTF/TeX output; last opened tag being closed now
 - improved LaTeX output
 - added ability to read presets from the configuration file $HOME/.highlight.conf
 - added simple cgi script (Perl)


== highlight 1.3.2-2

29-November-2002

 - fixed LaTeX output of | and ~ characters (thanks to Martin Idelberger)


== highlight 1.3.2

26-November-2002

 - fixed buffer overflow problem (thanks to Christian Perle)
 - added Rexx, Modula3, Agda, Haskell language definition
 - added (G)AWK language definition (thanks to Andreas Schoenberg)
 - added Bold and Italic font support, and background colour to LaTeX output
 - highlight compiles without warnings with gcc 3.2


== highlight 1.3.1-2

20-November-2002

 - applied gcc 3.2 patch (thanks to Georg Young)


== highlight 1.3.1

18-November-2002

 - fixed bug which disabled batch mode
 - added POV Ray Definition (thanks to Christian Perle)
 - added emacs and kwrite style


== highlight 1.3  (beta)

11-November-2002

 - applied Ruby definition file patch (thanks to Jonas Fonseca)
 - introduced style definition files
 - added background colour to style definitions
 - added line anchors in HTML output


== highlight 1.2.1

05-October-2002

 - applied patch to make highlight compile with gcc 3.x (thanks to Marc Duponcheel)
 - fixed LaTeX output of "^" and /hskip  (thanks to Dan Muller)
 - fixed TeX output


== highlight 1.2

26-August-2002

 - fixed bug which caused wrong output file suffixes in batch mode
 - fixed (X)HTML output of french characters
 - added frech character output (accent graphe, acute) to rtf, TeX and LaTeX output
 - ability to recognize keywords with "-"
 - added new language definitions (Ruby, COBOL, Fortran)


== highlight 1.1

20-August-2002

 - TeX output
 - fixed documentation regarding LaTeX / TeX output (Thanks to Keith Briggs)
 - fixed bug which caused single line comments left unmasked
 - french letters like ? ?are masked


== highlight 1.0 <stable>

13-August-2002

 - reduced tex output file size
 - Perl and Visual Basic definition file
 - fixed error in help msg (Thanks to Jan van Haarst)


== highlight 0.1

25-July-2002

 - RTF and La(Tex) output
 - Lua definition file
 - header and footer part of output file may be omitted
 - changed path of language definitions to /usr/share/highlight


== src2css 0.2

06-May-2002:

 - batch mode, converting all files matching a given wildcard
 - XHTML output
 - Python definition file


== src2css 0.1

04-Apr-2002:

 - initial release
